com.amazonaws.codegen.model.config.customization

## Class ShapeModifier_ModifyModel

- java.lang.Object
- - com.amazonaws.codegen.model.config.customization.ShapeModifier_ModifyModel

    public class ShapeModifier_ModifyModel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ShapeModifier_ModifyModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEmitAsType()`
`String` `getEmitEnumName()`
`String` `getEmitPropertyName()`
`String` `getMarshallLocationName()`
`String` `getUnmarshallLocationName()`
`void` `setEmitAsType(String emitAsType)`
`void` `setEmitEnumName(String emitEnumName)`
`void` `setEmitPropertyName(String emitPropertyName)`
`void` `setMarshallLocationName(String marshallLocationName)`
`void` `setUnmarshallLocationName(String unmarshallLocationName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShapeModifier_ModifyModel

    public ShapeModifier_ModifyModel()

### Method Detail

#### getEmitPropertyName

    public String getEmitPropertyName()

#### setEmitPropertyName

    public void setEmitPropertyName(String emitPropertyName)

#### getEmitEnumName

    public String getEmitEnumName()

#### setEmitEnumName

    public void setEmitEnumName(String emitEnumName)

#### getMarshallLocationName

    public String getMarshallLocationName()

#### setMarshallLocationName

    public void setMarshallLocationName(String marshallLocationName)

#### getUnmarshallLocationName

    public String getUnmarshallLocationName()

#### setUnmarshallLocationName

    public void setUnmarshallLocationName(String unmarshallLocationName)

#### getEmitAsType

    public String getEmitAsType()

#### setEmitAsType

    public void setEmitAsType(String emitAsType)